[ Maverik Level 2 typedefs ]

#

MAV_resizeEvent

## Summary

Window resize events.

## Syntax

    typedef struct {
      MAV_window *win;
      int width;
      int height;
    } MAV_resizeEvent;

## Description

The resize event data structure, `MAV_resizeEvent`, is passesd to the application supplied callback function (set with the mav_callbackResizeSet function) to provide details of this event.

The fields are as follows:

- `win` window for which event occured.

- `width`, `height` new size of the window.

A default callback routine is registered for this events which updates the window's state with the new size and alters the perspective parameters to account for the new apsect. This callbacks have a return value of -100 which can be checked for by mav_eventsCheck.

Back to the index page.